﻿Option Strict On
Imports Microsoft.Kinect
Class MainWindow

    Private Sub MainWindow_Loaded(sender As Object, e As System.Windows.RoutedEventArgs) Handles Me.Loaded
        AddHandler KinectSensorChooser1.KinectSensorChanged, Sub(kinectSender As Object, kinectArgs As DependencyPropertyChangedEventArgs)
                                                                 Dim oldMySensor = CType(kinectArgs.OldValue, KinectSensor)
                                                                 If oldMySensor Is Nothing = False Then
                                                                     StopKinect(oldMySensor)
                                                                 End If

                                                                 '新しいセンサーを取得
                                                                 Dim mySensor = CType(kinectArgs.NewValue, KinectSensor)
                                                                 If mySensor Is Nothing = True Then
                                                                     Return
                                                                 End If
                                                                 mySensor.DepthStream.Enable(DepthImageFormat.Resolution640x480Fps30)
                                                                 mySensor.DepthStream.Range = DepthRange.Near

                                                                 Try
                                                                     mySensor.Start()
                                                                 Catch ex As Exception
                                                                     MessageBox.Show(ex.Message)
                                                                     Exit Sub
                                                                 End Try
                                                             End Sub
    End Sub

    Private Sub MainWindow_Closing(sender As Object, e As System.ComponentModel.CancelEventArgs) Handles Me.Closing
        StopKinect(KinectSensorChooser1.Kinect)
    End Sub

    Private Sub StopKinect(sensor As KinectSensor)
        If sensor Is Nothing = False Then
            If sensor.IsRunning = True Then
                sensor.Stop()
                sensor.Dispose()
            End If
        End If
    End Sub
End Class
